%define ver_major 2.26
%def_disable gtk_doc
%def_disable static

Name: empathy
Version: %ver_major.2
Release: alt1

Summary: High-level library and user-interface for Telepathy
License: GPL/LGPL
Group: Networking/Instant messaging
Url: http://live.gnome.org/Empathy

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

Conflicts: telepathy-haze-aim

Requires(post,preun): GConf
Requires: libempathy = %version-%release
Requires: libempathy-gtk = %version-%release

Requires: telepathy-gabble
Requires: telepathy-salut
Requires: telepathy-haze
Requires: telepathy-stream-engine

%define intltool_ver 0.35.0
%define glib_ver 2.16.0
%define gtk_ver 2.14.0
%define panel_ver 2.10.0
%define tp_glib_ver 0.7.23
%define mission_control_ver 4.61
%define enchant_ver 1.2.0
%define check_ver 0.9.4
%define iso_codes_ver 0.35
%define notify_ver 0.4.4
%define canberra_ver 0.4

BuildPreReq: intltool >= %intltool_ver gnome-common
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-panel-devel >= %panel_ver
BuildPreReq: libtelepathy-glib-devel > %tp_glib_ver
BuildPreReq: libtelepathy-mission-control-devel >= %mission_control_ver
BuildPreReq: libenchant-devel >= %enchant_ver
BuildPreReq: libcheck-devel >= %check_ver
BuildPreReq: iso-codes-devel >= %iso_codes_ver
BuildPreReq: libnotify-devel >= %notify_ver
BuildPreReq: libcanberra-devel >= %canberra_ver
BuildPreReq: libtelepathy-farsight-devel
BuildPreReq: GConf libGConf-devel libglade-devel libcheck-devel
BuildPreReq: gstreamer-devel gst-plugins-devel farsight2-devel
BuildPreReq: gnome-doc-utils xsltproc

BuildRequires: db2latex-xsl evolution-data-server-devel gtk-doc
BuildRequires: imake python-module-PyXML python-module-pygobject-devel
BuildRequires: python-module-pygtk-devel python-modules-compiler valgrind xorg-cf-files

%description
Empathy consists of a rich set of reusable instant messaging widgets,
and a GNOME client using those widgets. It uses Telepathy and Nokia's
Mission Control, and reuses Gossip's UI. The main goal is to permit
desktop integration by providing libempathy and libempathy-gtk libraries.
libempathy-gtk is a set of powerful widgets that can be embeded into any
GNOME application.

%package -n libempathy
Summary: Shared library for Empathy
Group: System/Libraries

%description -n libempathy
Shared library for Empathy.

%package -n libempathy-gtk
Summary: Shared library for Empathy
Group: System/Libraries

%description -n libempathy-gtk
Shared library for Empathy.

%package -n libempathy-devel
Summary: Development files for Empathy
Group: Development/C
Requires: libempathy = %version-%release

%description -n libempathy-devel
Development files for Empathy.

%package -n libempathy-gtk-devel
Summary: Development files for Empathy
Group: Development/C
Requires: libempathy-gtk = %version-%release

%description -n libempathy-gtk-devel
Development files for Empathy.

%package -n python-module-empathy
Summary: Python bindings for Empathy
Group: Networking/Instant messaging
Requires: libempathy = %version-%release
Requires: libempathy-gtk = %version-%release

%description -n python-module-empathy
Python bindings for Empathy.

%prep
%setup -q
rm -f m4/libtool.m4 m4/lt*.m4

%build
%autoreconf
export CFLAGS="$CFLAGS `pkg-config --cflags gstreamer-0.10`"
export LDFLAGS="$LDFLAGS `pkg-config --libs gstreamer-0.10`"
%configure \
	--disable-schemas-install \
	%{subst_enable static} \
	%{?_enable_gtk_doc:--enable-gtk-doc} \
	--enable-python=yes \
	--enable-megaphone=yes \
	--enable-nothere=yes \
	--enable-tests=yes

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
%gconf2_install %name
%gconf2_install GNOME_Megaphone_Applet

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
%gconf2_uninstall GNOME_Megaphone_Applet
fi

%files -f %name.lang
%doc AUTHORS CONTRIBUTORS ChangeLog NEWS README TODO
%config %_sysconfdir/gconf/schemas/*
%_bindir/*
%_libdir/bonobo/servers/*
%_libexecdir/megaphone-applet
%_libexecdir/nothere-applet
%_datadir/mission-control/profiles/*.profile
%dir %_datadir/empathy
%_datadir/empathy/*.glade
%_datadir/empathy/*.xsl
%_datadir/empathy/*.dtd
%_datadir/empathy/irc-networks.xml
%_datadir/empathy/GNOME_NotHere_Applet.xml
%_datadir/applications/empathy.desktop
%dir %_datadir/empathy/icons
%dir %_datadir/empathy/icons/hicolor
%dir %_datadir/empathy/icons/hicolor/16x16
%dir %_datadir/empathy/icons/hicolor/16x16/actions
%dir %_datadir/empathy/icons/hicolor/16x16/apps
%dir %_datadir/empathy/icons/hicolor/16x16/status
%dir %_datadir/empathy/icons/hicolor/22x22
%dir %_datadir/empathy/icons/hicolor/22x22/actions
%dir %_datadir/empathy/icons/hicolor/22x22/apps
%dir %_datadir/empathy/icons/hicolor/22x22/status
%dir %_datadir/empathy/icons/hicolor/24x24
%dir %_datadir/empathy/icons/hicolor/24x24/actions
%dir %_datadir/empathy/icons/hicolor/24x24/apps
%dir %_datadir/empathy/icons/hicolor/24x24/status
%dir %_datadir/empathy/icons/hicolor/32x32
%dir %_datadir/empathy/icons/hicolor/32x32/apps
%dir %_datadir/empathy/icons/hicolor/32x32/status
%dir %_datadir/empathy/icons/hicolor/48x48
%dir %_datadir/empathy/icons/hicolor/48x48/apps
%dir %_datadir/empathy/icons/hicolor/48x48/status
%dir %_datadir/empathy/icons/hicolor/scalable
%dir %_datadir/empathy/icons/hicolor/scalable/apps
%dir %_datadir/empathy/icons/hicolor/scalable/status
%_datadir/empathy/icons/hicolor/*/*/*.png
%_datadir/empathy/icons/hicolor/*/*/*.svg
%_datadir/empathy/GNOME_Megaphone_Applet.xml
%_datadir/icons/hicolor/*/apps/*.png
%_datadir/icons/hicolor/*/apps/*.svg
%_man1dir/*

%files -n libempathy
%_libdir/libempathy.so.*

%files -n libempathy-gtk
%_libdir/libempathy-gtk.so.*

%files -n libempathy-devel
%_libdir/libempathy.so
%dir %_includedir/libempathy
%_includedir/libempathy/*.h
%dir %_datadir/gtk-doc/html/libempathy
%_datadir/gtk-doc/html/libempathy/*
%_pkgconfigdir/libempathy.pc

%files -n libempathy-gtk-devel
%_libdir/libempathy-gtk.so
%dir %_includedir/libempathy-gtk
%_includedir/libempathy-gtk/*.h
%dir %_datadir/gtk-doc/html/libempathy-gtk
%_datadir/gtk-doc/html/libempathy-gtk/*
%_pkgconfigdir/libempathy-gtk.pc

%files -n python-module-empathy
%python_sitelibdir/*.so
%python_sitelibdir/*.la

%changelog
* Mon May 18 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt1
- 2.26.2

* Mon Apr 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Tue Mar 31 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0.1-alt1
- 2.26.0.1

* Fri Mar 20 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0
- removed obsolete %%post{,un} scripts
- updated {build,}reqs

* Tue Oct 21 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1

* Fri Oct 03 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0
- updated {build,}reqs

* Sun Jul 20 2008 Igor Zubkov <icesik@altlinux.org> 0.23.4-alt1
- 0.23.4 -> 0.23.4

* Thu Jun 05 2008 Igor Zubkov <icesik@altlinux.org> 0.23.3-alt2
- fix for repocop

* Tue Jun 03 2008 Igor Zubkov <icesik@altlinux.org> 0.23.3-alt1
- 0.23.2 -> 0.23.3

* Mon May 26 2008 Igor Zubkov <icesik@altlinux.org> 0.23.2-alt2
- enable python module build

* Sun May 25 2008 Igor Zubkov <icesik@altlinux.org> 0.23.2-alt1
- 0.23.1 -> 0.23.2

* Sat May 24 2008 Igor Zubkov <icesik@altlinux.org> 0.23.1-alt1
- 0.22.1 -> 0.23.1

* Sun May 04 2008 Igor Zubkov <icesik@altlinux.org> 0.22.1-alt2
- fix for fresh sisyphus_check

* Thu Apr 24 2008 Igor Zubkov <icesik@altlinux.org> 0.22.1-alt1
- 0.22.0 -> 0.22.1

* Thu Apr 24 2008 Igor Zubkov <icesik@altlinux.org> 0.22.0-alt1
- 0.21.91 -> 0.22.0

* Wed Mar 05 2008 Igor Zubkov <icesik@altlinux.org> 0.21.91-alt1
- 0.21.90 -> 0.21.91

* Sat Feb 23 2008 Igor Zubkov <icesik@altlinux.org> 0.21.90-alt1
- 0.21.5.2 -> 0.21.90

* Thu Jan 24 2008 Igor Zubkov <icesik@altlinux.org> 0.21.5.2-alt1
- 0.21.5.1 -> 0.21.5.2

* Tue Jan 15 2008 Igor Zubkov <icesik@altlinux.org> 0.21.5.1-alt1
- 0.21.5 -> 0.21.5.1

* Tue Jan 15 2008 Igor Zubkov <icesik@altlinux.org> 0.21.5-alt1
- 0.21.4 -> 0.21.5
- buildreq

* Wed Jan 09 2008 Igor Zubkov <icesik@altlinux.org> 0.21.4-alt3
- move libempathy library to libempathy subpackage (#12567)
- move libempathy-gtk library to libempathy-gtk subpackage (#12567)
- move libempathy devel files to libempathy-devel subpackage (#12567)
- move libempathy-gtk devel files to libempathy-gtk-devel subpackage (#12567)

* Sat Jan 05 2008 Igor Zubkov <icesik@altlinux.org> 0.21.4-alt2
- add Conflicts: telepathy-haze-aim (it's don't needed anymore)

* Tue Dec 18 2007 Igor Zubkov <icesik@altlinux.org> 0.21.4-alt1
- 0.21.3 -> 0.21.4
- build with --enable-voip=yes

* Sun Dec 16 2007 Igor Zubkov <icesik@altlinux.org> 0.21.3-alt2
- bump release

* Tue Dec 04 2007 Igor Zubkov <icesik@altlinux.org> 0.21.3-alt1
- 0.21.2 -> 0.21.3
- build with --enable-voip=no (it's broken now)
- buildreq

* Mon Nov 12 2007 Igor Zubkov <icesik@altlinux.org> 0.21.2-alt1
- 0.21.1 -> 0.21.2

* Thu Nov 01 2007 Igor Zubkov <icesik@altlinux.org> 0.21.1-alt1
- 0.14 -> 0.21.1
- update License tag, some code from now is LGPL

* Fri Oct 12 2007 Igor Zubkov <icesik@altlinux.org> 0.14-alt1
- 0.13 -> 0.14
- build with --enable-voip=yes

* Fri Oct 12 2007 Igor Zubkov <icesik@altlinux.org> 0.13-alt2
- fix build on x86_64

* Sat Sep 29 2007 Igor Zubkov <icesik@altlinux.org> 0.13-alt1
- 0.12 -> 0.13

* Fri Sep 07 2007 Igor Zubkov <icesik@altlinux.org> 0.12-alt2
- rebuild with telepathy-mission-control-4.37-alt1

* Sat Aug 25 2007 Igor Zubkov <icesik@altlinux.org> 0.12-alt1
- 0.11 -> 0.12

* Wed Aug 15 2007 Igor Zubkov <icesik@altlinux.org> 0.11-alt2
- rebuild with telepathy-mission-control-4.34-alt1

* Mon Aug 13 2007 Igor Zubkov <icesik@altlinux.org> 0.11-alt1
- 0.10 -> 0.11

* Thu Aug 02 2007 Igor Zubkov <icesik@altlinux.org> 0.10-alt1
- 0.8 -> 0.10

* Fri Jun 22 2007 Igor Zubkov <icesik@altlinux.org> 0.8-alt1
- build for Sisyphus


